aspose file tools*
The moose likes JSF and the fly likes JSF 2.0 Spring Weblogic 10.3.5 Jdeveloper Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » JSF
Bookmark "JSF 2.0 Spring Weblogic 10.3.5 Jdeveloper" Watch "JSF 2.0 Spring Weblogic 10.3.5 Jdeveloper" New topic
Author

JSF 2.0 Spring Weblogic 10.3.5 Jdeveloper

raj jagtap
Greenhorn

Joined: Nov 13, 2013
Posts: 1
Hi,

I am getting this exception when am accessing a jsf xhtml page. I am using Spring3.0.5 and JSF 2.0 with weblogic 10.3.5


I have the jsf-api.jar and jsf-impl jar under WEB-INF/lib. Please help me where I am going wrong
Tim Holloway
Saloon Keeper

Joined: Jun 25, 2001
Posts: 16014
    
  20

Welcome to the JavaRanch, Raj!

WebLogic 10 is JEE-compliant. One of the differences between the older J2EE and JEE is that in JEE, JSF is an integral part of any full-stack server implementation (such as WebLogic).

Because of this, you should not include the jsf-impl.jar as part of your WAR as it will conflict with WebLogic's built-in jsf-impl. You would only include jsf-impl.jar in a WAR for an incomplete JEE implementation such as Tomcat.

Sometimes, however, the JSF implementation that's built into the server isn't appropriate and you need to override it. For information on that, you'll have to consult the proper WebLogic documentation, since the requirements are dependent on the server itself.


Customer surveys are for companies who didn't pay proper attention to begin with.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: JSF 2.0 Spring Weblogic 10.3.5 Jdeveloper